/**********************************************************
*
*file name : AccessINI.h
*
*author : peng yunquan 11/10/06
*
*description: NULL
*
***********************************************************/

#include <string>

class CCompatibleType;//ʵԶstd::string

unsigned int AccINIGetPrivateProfileInt(CCompatibleType AppName, CCompatibleType KeyName,int nDefault, CCompatibleType FileName);//дGetPrivateProfileInt

unsigned long AccINIGetPrivateProfileString(CCompatibleType AppName,
											CCompatibleType KeyName,
											CCompatibleType Default,
											char * lpReturnedString,
											unsigned long nSize,
											CCompatibleType FileName);

bool AccINIWritePrivateProfileString( CCompatibleType AppName,
									 CCompatibleType KeyName, 
									 CCompatibleType String,
									 CCompatibleType FileName );

bool AccINIWritePrivateProfileInt( CCompatibleType AppName, 
								  CCompatibleType KeyName,
								  unsigned long nValue, 
								  CCompatibleType FileName );

unsigned int AccINIGetPrivateProfileInt(const char* lpAppName, const char* lpKeyName,int nDefault, const char* lpFileName);//дGetPrivateProfileInt

unsigned long AccINIGetPrivateProfileString(const char * lpAppName,
											const char * lpKeyName,
											const char * lpDefault,
											char * lpReturnedString,
											unsigned long nSize,
											const char * lpFileName);

bool AccINIWritePrivateProfileString(const char * lpAppName,
									 const char * lpKeyName, 
									 const char * lpString,
									 const char * lpFileName );

bool AccINIWritePrivateProfileInt( const char * lpAppName, 
								  const char * lpKeyName,
								  unsigned long nValue, 
								  const char * lpFileName );
//////////////////////////////////////////////////////////////////////////
class CCompatibleType
{
public:
	CCompatibleType(std::string str):m_pTemp(str.data()){}
	
	CCompatibleType(const char *pStr):m_pTemp(pStr){}
	
	operator const char*()
	{
		return m_pTemp;
	}
	
protected:
	const char *m_pTemp;
};
