#include "compTransition.h"
CompTransition::CompTransition()
  :isUrgent(false)
{
}
CompTransition::CompTransition(const Transition *trans)
:guard(trans->guard),noGuard(trans->noGuard),updateList(trans->updateList),
resetClockId(trans->resetClockId), isUrgent(trans->isUrgent), pre(trans->pre),
post(trans->post)
{
}
void CompTransition::Output(std::ostream& os, int num)
{
  int i;
  
  os << "-----------composed transition" << num << "---------------" << std::endl;
  os << "pre = " << pre << std::endl;
  os << "post = " << post << std::endl;
  for(i = 0; i < procId.size(); i++)
    os << "procId[" << i << "] = " << procId[i] << std::endl;

  os << "isUrgent : " << isUrgent << std::endl;
  os << "noGuard : " << noGuard << std::endl;

  for(i = 0; i < updateList.size(); i++)
  {
    os << "updateVar" << i+1 << " = " << updateList[i].first << std::endl;
    os << "update expId" << i+1 << " = " << updateList[i].second << std::endl;
  }

  for(i = 0; i < guard.size(); i++)
    os << "guard expId" << i+1 << " = " << guard[i] << std::endl;

  for(i = 0; i < resetClockId.size(); i++)
    os << "resetClockId" << i+1 << " = " << resetClockId[i] << std::endl;
  
}
