#include "dsState.h"
#include <assert.h>
int DsState::procNum = 0;
void DsState::Output(std::ostream &os)
{
	int i;
	os << "[locPermNum : " << locPermNum << "(";
	for(i = 0; i < procNum; i++)
		os << pLoc[i] << ".";
	os << ")";
	if(sharedVarVal.size() > 0)
	{
		os << "&& sharedVarVal:";
		for(i = 0; i < sharedVarVal.size(); i++)
			os << sharedVarVal[i] << ".";
	}
	if(clockVarVal.size() > 0)
	{
		os << "&& clockVarVal:";
		assert(clockVarVal.size() == clockId.size());

		for(i = 0; i < clockVarVal.size(); i++)
		{
			os << "(id:" << clockId[i] << " , val:" << clockVarVal[i] << ")"; 
		}
		os << ")";
	}

	os << "]" << std::endl;
}