#ifndef RMODELECHECK_LOCATION
#define RMODELECHECK_LOCATION

#include <string>
#include <vector>
#include <iostream>

#include "transition.h"
//this class denotes a cta's location
class Location
{
public:
	struct clockLU
	{
		int clockId;
		int LBound;
		int UBound;
	};
	typedef struct clockLU clockLU;
	Location()
		:AllLLessEQThanU(true), AllULessEQThanL(true)
	{}
	
	bool noInv;
	bool AllLLessEQThanU;					//ǰlocationелʱӵLСڵU
	bool AllULessEQThanL;					//ǰlocationелʱӵUСڵL
	std::string name;
	std::vector<int> actClkId;				//ǰlocationµĻʱid򣬴Сڴobjļʱ֤
	std::vector<Transition> jumpOut;		//ӵǰlocationı
	std::vector<int> inv;					//ǰlocationĲԼexpId
	std::vector<clockLU> LUinLoc;			//ǰlocationеĻʱӵluϢ
	void clear();
	void Output(std::ostream& os, int num);
};

#endif