#include "sdsState.h"
#include <assert.h>

void SdsState::Output(std::ostream &os)
{
	os << "SdsState Output:" << std::endl;

	os << "Sdshead state:" << std::endl;
	sdsHead.Output(os);
	assert(length >= 0);
	os << "length:\t" << length << std::endl;
	if(resetClockId.size() > 0)
	{
		for(int i = 0; i < resetClockId.size(); i++)
			os << "resetClockId" << i+1 << " : " << resetClockId[i] << std::endl;
	}
	else
	{
		os << "no reset clock" << std::endl;
	}
}
