#include "transition.h"

Transition::Transition()
{
	syn = 0;
	synType = -1;
	noGuard = true;
	isBroadcast = false;
	isUrgent = false;
}

void Transition::clear()
{
	guard.clear();
	updateList.clear();
	resetClockId.clear();
}

void Transition::Output(std::ostream& os, int num)
{
	int i;
	os << "-----Jump" << num << "----------" << std::endl;
	os << "pre = " << pre << std::endl;
	os << "post = " << post << std::endl;
	os << "syn = " << syn << std::endl;
	os << "synType = " << synType << std::endl;
    os << "broadcast = " << isBroadcast << std::endl;
	os << "isUrgent = " << isUrgent << std::endl;
	for(i = 0; i < updateList.size(); i++)
	{
		os << "updatevar" << i+1 << " = "<<updateList[i].first << std::endl;
		os << "updateExpressionId" << i+1 << " = " << updateList[i].second << std::endl;
	}
	
	os << "---------guard---------" << std::endl;
	os << "noGuard:" <<noGuard <<  std::endl;
	for(i = 0; i < guard.size(); i++)
    {
		os << "guardExpressionId" << i + 1 << " = " << guard[i] << std::endl;
    }
    for(i = 0; i < resetClockId.size(); i++)
		os << "resetClockId" << i+1 << " = " << resetClockId[i] << std::endl; 
}


