#include "closedTa.h"
void ClosedTa::clear()
{
  sharedVarId.clear();
  m_loc.clear();
  broadcastId.clear();
}

void ClosedTa::Output(std::ostream& os, int num)
{
	int i;
	os << "[CloseTa" << num << "]" << std::endl;
	os << "Name ="  << name << std::endl;
	os << "InitLocId =" << initLocId << std::endl;

	os << "LocNum = " << locNum << std::endl;
	os << "locSize:" << m_loc.size() << std::endl;
	for(i = 0; i < m_loc.size(); i++)
		m_loc[i].Output(os, i+1);

    if(broadcastId.size() > 0)
    {
      os << "broadcastId:" << std::endl;
      for(int i = 0; i < broadcastId.size(); i++)
        os << "broadcastId[" << i << "]:\t" << broadcastId[i] << std::endl;
    }
}
