#ifndef RMODELCHECK_CMPTRANSITION
#define RMODELCHECK_CMPTRANSITION
#include "transition.h"
#include <vector>
#include <ostream>
//this class denotes the composed transition, in which there is no synch and broadcast
class CompTransition
{
public:
  CompTransition();
  CompTransition(const Transition *trans);
  int pre;
  int post;
  bool isUrgent;
  bool noGuard;
  std::vector<int> procId;      //0ʼ
  std::vector<std::pair<int, int> > updateList; //clockId1ʼ
  std::vector<int> guard;
  std::vector<int> resetClockId;  //1ʼ

  void Output(std::ostream& os, int num);
};
#endif
