#include "location.h"

void Location::clear()
{
	AllLLessEQThanU = true;
	AllULessEQThanL = true;
	actClkId.clear();
	inv.clear();
	jumpOut.clear();
	LUinLoc.clear();
}
void Location::Output(std::ostream& os, int num)
{
	os << "-------";
	os << "Location" << num << std::endl; 
	os << "LocName = " << name << std::endl;
	os << "noInv = " << noInv << std::endl;
	int i;
	for(i = 0; i < actClkId.size(); i++)
	{
		os << "actClk" << i+1 << " = " << actClkId[i] << std::endl;
	}
	
	os << "Inviriant:" << std::endl;
	for(i = 0; i < inv.size(); i++)
		os << "invCmpExpId" << i+1 << " = " << inv[i] << std::endl;
    
	
	for(i = 0; i < jumpOut.size(); i++)
	{
		jumpOut[i].Output(os, i+1);
	}

	if(LUinLoc.size() > 0)
	{
		os << std::endl << "------LU informations in location---------" << std::endl;
		os << "AllLLessEQThanU: " << AllLLessEQThanU << std::endl;
		os << "AllULessEQThanL: " << AllULessEQThanL << std::endl;
		for(i = 0; i < LUinLoc.size(); i++)
		{
			os << "clockId:" << LUinLoc[i].clockId << "\tLBound:" << LUinLoc[i].LBound
				<< "\tUBound:" << LUinLoc[i].UBound << std::endl;
		}
	}
}
